server {
	listen 80;

	server_name {{ inventory_hostname }};

	proxy_read_timeout 720s;
	proxy_connect_timeout 720s;
	proxy_send_timeout 720s;

	proxy_set_header Host $host;
	proxy_set_header X-Forwarded-Host $host;
	proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	proxy_set_header X-Forwarded-Proto $scheme;
	proxy_set_header X-Real-IP $remote_addr;

	location / {
		rewrite ^(.*)$ https://$host$1;
	}

	access_log /var/log/nginx/opencell.access.log;
	error_log /var/log/nginx/opencell.error.log;
}
